{
    onSourceDamagingHit(damage, target, source, move) {
        if (target.hasAbility('shielddust') || target.hasItem('covertcloak')) return;
        if (this.checkMoveMakesContact(move, target, source)) {
            if (this.randomChance(3, 10)) {
                if (target.status === 'psn') {
                    target.setStatus('tox', source);
                } else {
                    target.trySetStatus('psn', source);
                }
            }
        }
    },
    flags: {},
    name: "Poison Touch",
    rating: 2,
    num: 143,
}
